import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listDocument(query) {
  return request({
    url: '/document/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getDocument(id) {
  return request({
    url: '/document/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addDocument(data) {
  return request({
    url: '/document',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateDocument(data) {
  return request({
    url: '/document',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delDocument(id) {
  return request({
    url: '/document/' + id,
    method: 'delete'
  })
}



// 发布文档
export function pushDoc(id) {
  return request({
    url: '/document/pushDoc/' + id,
    method: 'put'
  })
}


// 获取统计信息
export function getStatistics(query) {
  return request({
    url: '/document/statistics',
    method: 'get',
    params: query
  })
}


// 查询【请填写功能名称】列表
export function getExportWordList(query) {
  return request({
    url: '/document/export/word/list',
    method: 'post',
    data: query
  })
}
